## watsup 7.1

=== Makefile ===
# watsup make file

# defaults for parameters that may be pre-defined
CXXFLAGS += -Wall -g -rdynamic -O2 -Wno-format-truncation -Wno-stringop-truncation

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                \
   `$(PKG_CONFIG) --cflags gtk+-3.0`               \
   -I/usr/include/clutter-1.0/                     \
   -I/usr/include/cogl/                            \
   -I/usr/include/json-glib-1.0/                   \
   -I/usr/include/clutter-gtk-1.0/ 

LIBS = `pkg-config --libs gtk+-3.0` -lpthread -lclutter-gtk-1.0  \

watsup: watsup.o zfuncs.o
	$(CXX) $(LDFLAGS) -o watsup watsup.o zfuncs.o $(LIBS)    \

watsup.o: watsup.cc
	$(CXX) $(CFLAGS) -o watsup.o watsup.cc          \

zfuncs.o: zfuncs.cc zfuncs.h
	$(CXX) $(CFLAGS) zfuncs.cc                   \

# target install directories
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/watsup
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
SHAREDIR = $(PREFIX)/share/watsup
DATADIR = $(SHAREDIR)/data
IMAGEDIR = $(SHAREDIR)/images
ICONDIR = $(SHAREDIR)/icons

install: watsup uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	cp -f     watsup $(DESTDIR)$(BINDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	# man page
	gzip -fk -9 man/watsup.man
	mv -f man/watsup.man.gz $(DESTDIR)$(MANDIR)/watsup.1.gz
	# desktop file and icon
	cp -f watsup.desktop $(DESTDIR)$(MENUDIR)
	cp -f watsup.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/watsup
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f  $(DESTDIR)$(MANDIR)/watsup.*
	rm -f  $(DESTDIR)$(MENUDIR)/watsup.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)

clean: 
	rm -f  watsup
	rm -f  *.o
