=== debian/changelog ===
watsup (7.1-0.1~mx21) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Jan 2023 14:47:01 -0800
