=== debian/control ===
Source: watsup
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper-compat (= 12),
               libclutter-gtk-1.0-dev,
               pkg-config
Standards-Version: 4.5.0
Homepage: https://www.kornelix.net/watsup/watsup.html

Package: watsup
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight system resource monitor/manager
 Monitor system resources and the top processes using those resources. 
 .
 Resources monitored:
 - CPU, memory, file cache, soft/hard page faults, disk IO, network IO.
 .
 Shows topmost processes fitting within the window size.
 Optionally show processes matching given users, PIDs, or program names.
 Select and kill an errant process using the mouse (after confirmation).
 * Overall system and top process resources are shown on one page.
 * CPU, memory, disk I/O, network I/O, and page faults are monitored.
 * The highest ranked processes fitting in the window are shown.
 * Minimal jumping around between samples (easier to follow a process).
 * Process rank: weighted sum of recent CPU, hard page faults, disk I/O.
 * Filter processes by user, PID, or program name. Multiple entries OK.
 * Click on a process to kill the process (after confirmation).
